Summary: Loadable module to read Pentium performance counters
Name: pentium-profiler
Version: 1.0
Release: 1
ExclusiveArch: i386
Group: Development/Tools
Source: driver.tar.gz

Copyright: distributable
URL: mailto:akinlar@cs.umd.edu
Packager: Andrea Borgia <borgia@cs.unibo.it>

Description: Loadable module to read Pentium performance counters

%prep
%setup -n driver

%build
make all
strip example
ar rcs libpentium.a libpentium.o

%install
if [ ! -d /lib/modules/misc ]; then mkdir /lib/modules/misc; fi
cp pentium.o /lib/modules/misc
cp example /usr/bin/pentium-profiler-example
cp libpentium.h /usr/include
cp libpentium.a /usr/lib
rm -f /dev/pentium
mknod /dev/pentium c 61 0
chmod 666 /dev/pentium

%files
%doc README counters.txt create_device example.c
/dev/pentium
/lib/modules/misc/pentium.o
/usr/bin/pentium-profiler-example
/usr/lib/libpentium.a
/usr/include/libpentium.h
